%define upstream_name    Glib-Object-Introspection
%define upstream_version 0.018

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dynamically create Perl language bindings
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:	    fix-off-by-one-error.diff 
Patch2:	    allow-undef.diff

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.270.0
BuildRequires: perl-devel
BuildRequires: gobject-introspection-devel
# For tests:
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(cairo)
BuildRequires: perl(Cairo::GObject)
# (tv) t/00-basic-types.t line 51 failed with C locale
BuildRequires: locales-en
Requires: perl(Glib) >= 1.270.0
%description
To allow Glib::Object::Introspection to create bindings for a library, it
must have installed a typelib file, for example
'$prefix/lib/girepository-1.0/Gtk-3.0.typelib'. In your code you then
simply call 'Glib::Object::Introspection->setup' to set everything up. This
method takes a couple of key-value pairs as arguments. These three are
mandatory:

* basename => $basename

  The basename of the library that should be wrapped. If your typelib is
  called 'Gtk-3.0.typelib', then the basename is 'Gtk'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
exit 0
LC_ALL=en_US.UTF-8 make test

%install
%makeinstall_std

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Feb 11 2014 tv <tv> 0.18.0-2.mga4
+ Revision: 589200
- allow undef for booleans (mga#12390, #12625, ...)

* Thu Jan 16 2014 tv <tv> 0.18.0-1.mga4
+ Revision: 566663
- new release
- fix registrering some enums

* Tue Dec 17 2013 tv <tv> 0.17.0-2.mga4
+ Revision: 558340
- use upstream testsuite fix

* Mon Dec 16 2013 tv <tv> 0.17.0-1.mga4
+ Revision: 557173
- BR perl(Cairo::GObject) for some tests
- disable ref count tests that are broken by latest Glib (also affect previous release)
- new release

* Tue Dec 03 2013 tv <tv> 0.16.0-3.mga4
+ Revision: 554742
- from git: register unregistered enums
  (fix using GSpawnFlags & VtePtyFlags in mcc's drakconsole)

* Mon Oct 21 2013 umeabot <umeabot> 0.16.0-2.mga4
+ Revision: 538368
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 0.16.0-1.mga4
+ Revision: 489481
- new release

* Wed May 29 2013 tv <tv> 0.15.0-2.mga4
+ Revision: 429967
- rebuild for new perl

* Sun Mar 03 2013 tv <tv> 0.15.0-1.mga3
+ Revision: 401218
- new release

* Mon Feb 18 2013 tv <tv> 0.14.0-3.mga3
+ Revision: 398946
- more fixes for Glib::IO

* Fri Feb 15 2013 tv <tv> 0.14.0-2.mga3
+ Revision: 398506
- fixes from git

* Mon Feb 04 2013 tv <tv> 0.14.0-1.mga3
+ Revision: 394605
- new release

* Thu Jan 31 2013 tv <tv> 0.13.0-3.mga3
+ Revision: 393712
- patch 0: fixes from git
- run testsuite
- fix testsuite

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 367767
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 0.13.0-1.mga3
+ Revision: 328683
- new release

* Sun Aug 26 2012 tv <tv> 0.12.0-1.mga3
+ Revision: 284316
- bump requires
- new release

* Mon Aug 06 2012 luigiwalser <luigiwalser> 0.11.0-2.mga3
+ Revision: 278989
- rebuild for libffi

* Wed Aug 01 2012 tv <tv> 0.11.0-1.mga3
+ Revision: 277205
- new release

* Thu Jul 05 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 268190
- update to 0.010

* Sat Jun 02 2012 tv <tv> 0.9.0-1.mga3
+ Revision: 253459
- new release

* Wed May 30 2012 tv <tv> 0.8.0-1.mga3
+ Revision: 251789
- new release

* Wed May 30 2012 jquelin <jquelin> 0.7.0-2.mga3
+ Revision: 250649
- rebuild for perl 5.16

* Tue Mar 06 2012 tv <tv> 0.7.0-1.mga2
+ Revision: 220182
- new release

* Mon Jan 23 2012 tv <tv> 0.6.0-1.mga2
+ Revision: 200384
- new release

* Thu Dec 29 2011 fwang <fwang> 0.5.0-1.mga2
+ Revision: 188589
- new version 0.005

* Wed Nov 23 2011 tv <tv> 0.4.0-1.mga2
+ Revision: 171250
- fix file list
- new release

* Sat Oct 15 2011 tv <tv> 0.3.0-1.mga2
+ Revision: 155410
- new release
- imported package perl-Glib-Object-Introspection

  + fwang <fwang>
    - rebuild

